import ir
import time
import os
import netsvc
import xmlrpclib

import wizard
from osv import osv

_export_form = '''<?xml version="1.0"?>
<form title="Initial import" />
'''

_export_fields = {}

_export_done_form = '''<?xml version="1.0"?>
<form title="Initial import">
<separator string="Stock succesfully updated" colspan="4" />
</form>'''

_export_done_fields = {}

def _do_export(self, cr, uid, data, context):
	website=osv.osv_pools.get('oscommerce.web').browse(cr, uid, [data['id']])[0]
	pricelist=ir.ir_get(cr,uid, 'meta','product.pricelist',[('res.partner',website.partner_anonymous_id.id)])[0][2]
	print "%s/tinyerp-syncro.php" % website.url
	server = xmlrpclib.ServerProxy("%s/tinyerp-syncro.php" % website.url)

	for osc_product in website.product_ids:
		if osc_product.oscommerce_id:
			print "sending product %s" % osc_product.name
			webproduct={	'oscommerce_id'	: osc_product.oscommerce_id,
							'quantity'		: osv.osv_pools.get('product.product')._product_virtual_available(cr, uid, [osc_product.product_id.id], '', False, {'shop':website.shop_id.id})[osc_product.product_id.id],
						}
		

		osc_id=server.set_product_stock(webproduct)

	cr.execute("select so.oscommerce_id from sale_order as so, stock_picking as sp where sp.state='done' and sp.sale_id=so.id and so.oscommerce_web=%d;" % website.id);
	for order in cr.fetchall():
		server.close_order(order[0])

	return {}

class wiz_oscommerce_stocks(wizard.interface):

	states = {	#'init'		: {	'actions'		: [],
				#				'result'		: {	'type'		: 'form',
				#									'arch'		: _import_form,
				#									'fields'	: _import_fields,
				#									'state'		: [('import', 'Import languages and taxes'), ('end', 'Cancel')]
				#									},
				#				},
				'init'		: {	'actions'		: [_do_export],
								'result'		: {	'type'		: 'form',
													'arch'		: _export_done_form,
													'fields'	: _export_done_fields,
													'state'		: [('end', 'End')]
													}
								}
				}


wiz_oscommerce_stocks('oscommerce.stocks');
