#!/bin/sh


rm -Rf /tmp/server-dev
rm -Rf /tmp/client-dev
echo 'Copying server and client...'
cp -R server/bin /tmp/server-dev
cp -R client/bin /tmp/client-dev
echo 'Cleaning server...'
cd /tmp/server-dev
rm -f $(find -iname "*pyc")
rm -Rf $(find -iname ".svn")
echo 'Cleaning client...'
cd /tmp/client-dev
rm -f $(find -iname "*pyc")
rm -Rf $(find -iname ".svn")
echo 'Tar...'
cd /tmp/
tar cf - server-dev client-dev | gzip -9 > $(date +'tinyerp-%Y%m%d.tar.gz')
echo $(date +'tinyerp-%Y%m%d.tar.gz')
